@charset "utf-8";

/* Custom Variables */
@import "./colors.scss";

/* Custom Fonts */
// @import url("https://fonts.googleapis.com/css2?family=Barlow:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
@font-face {
  font-family: "Barlow";
  src: url("./fonts/Barlow/Barlow-Regular.ttf") format("truetype");
  font-display: swap;
}
@font-face {
  font-family: "Inconsolata";
  src: url("./fonts/Inconsolata/static/Inconsolata/Inconsolata-Regular.ttf")
    format("truetype");
  font-display: swap;
}

/* Overwrite Bulma Defaults here, before import */
$family-primary: "Barlow", sans-serif;
$family-secondary: "Inconsolata", monospace;
$family-code: "Inconsolata", monospace;
$navbar-breakpoint: 0;
$navbar-height: 2rem;

/* Import entire Bulma framework from node_modules */
@import '~bulma-slider';
@import "~bulma/bulma";


/* Or import selected Bulma Sass */
/* Remove these if you import the entire Bulma framework above */
// @import "~bulma/sass/utilities/_all.sass";
// ...
// @import "~bulma/sass/elements/button.sass";

/* Custom Global Settings */
html {
  overflow: hidden; // bulma unnecessarily sets overflow-y to scroll
  height: 100%;
  font-family: $family-primary;
}

body{
  overflow: hidden; // bulma unnecessarily sets overflow-y to scroll
  height:100%;
}

.display-unset {
  display: unset !important;
}

.table-container {
  -webkit-overflow-scrolling: touch;
  overflow: auto;
  max-width: 100%;
}

.table td,
.table th {
  vertical-align: middle;
}

/* Custom Classes */

#app {
  font-family: $family-primary,Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  height: 100%;
  width: 100%;
}

.has-background-transparent {
  background-color: rgba(255, 255, 255, 0.1);
}

.is-right-0{
  right:0
}

.is-left-0{
  left:0
}

.is-absolute{
    position: absolute;
}

.is-fixed{
  position: fixed;
}

.is-z-2 {
    z-index: 2;
}

.is-z-3 {
  z-index: 3;
}

.is-z-4 {
  z-index: 4;
}

.is-top-0 {
  top: 0
}

.is-bottom-0 {
  bottom: 0
}

.is-full-vh {
  height: 100vh;
}

.is-full-height {
  height: 100%;
}

.is-90-pc-height{
  height: 90%;
}

.is-half-height {
  height: 50%;
}

.is-third-height {
  height: 33%;
}

.is-quarter-height {
  height: 25%;
}

.is-full-vw {
  width: 100vw;
}

.is-full-width {
  width: 100%;
}

.is-90-pc-width{
  width: 90%;
}

.is-80-pc-width{
  width: 80%;
}

.is-85-pc-width{
  width: 85%;
}

.is-70p-width{
  width: 70%;
}

.is-half-width {
  width: 50%;
}

.is-third-width {
  width:33%;
}

.is-quarter-width {
  width: 25%;
}

.is-navbar-high {
  height: 9%;
}

.is-routerview-high {
  height: 88%;
}

.is-footer-high {
  height: 3%;
}

.is-over-line {
  z-index: 2;
}

.is-float-left{
  float: left;
}

.is-float-right{
  float: right;
}

.is-float-center{
  float: center;
}

.is-overflow-scroll{
  overflow: scroll;
}

.is-overflow-y-scroll{
  overflow-y: scroll;
}

.is-overflow-x-scroll{
  overflow-x: scroll;
}

.is-overflow-x-hidden{
  overflow-x: hidden;
}

.is-overflow-y-hidden{
  overflow-y: hidden;
}

/* hide scrollbar for Chrome Safari etc */
.invisible-scrollbar::-webkit-scrollbar {
  display: none;
}

/* hide scrollbar for Firefox */
.invisible-scrollbar {
  -ms-overflow-style: none; 
  scrollbar-width: none;  /* Firefox */
}

.is-grabbable {
  cursor: move; /* fallback if grab cursor is unsupported */
  cursor: grab;
  cursor: -moz-grab;
  cursor: -webkit-grab;
}

.is-sticky {
  position: sticky;
}

.tab-bar:before {
  position: absolute;
  content:" ";
  width: 100%;
  border-top: 1px solid black;
  //bottom: 7vh
  bottom: 3.0rem;
}

.tab-bar {
  position: absolute;
  bottom: 0;
  //height: 7vh;
  height: 3.1em;
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  align-items: center;
  background-color: whitesmoke;
  overflow: hidden;
}

.backbutton {
  position: fixed;
  top: 1rem;
  left: 1rem;
  z-index: 99;
}

.backbutton svg{
  border: white 1px solid;
  border-radius: 50%;
  background-color: white;
}

.camera-icon{
  background-color: rgba($color: #575555, $alpha: 1.0);
  border-radius: 13%;
}

.gallery{
  width: 100vw;
  max-height: 50vh;
}

.image{
  height: 100%;
  //object-fit: contain;
  object-fit: cover;
  display: inline;
}

.add-photos-button{
  top: 20%;
  width: 100vw;
  height: 50vh;
}

.add-photos-button button{
  max-height: 2rem;
}

.broad-input{
  max-width: 85%;
}

.micromap{
  // height: 10vh;
  width: 100%;
}

input[type="file"] {
  display: none;
}

.custom-file-upload{
  border: 1px solid #ccc;
  display: inline-block;
  padding: 6px 12px;
  cursor: pointer;
}

.loginfullscreen{
  height: 100%;
  width: 100%;
  position: fixed;
  top:0px;
  left: 0px;
  background-color: white;
  z-index: 999;
}

.list-item {
  width: 100%;
  //height: 15vh;
  height: 6rem;
  width: 94%;
  margin: 2%;
  border: $dark 1px solid;
  position: relative;
}

.autocomplete-result-container{ // used inside of AddDing for vue3-autocomplete-component overwrites
  position: relative;
  z-index: 999;
  //margin-top: 2.5em;
  border: 1px solid darkgrey;
  background: rgba(225, 225, 225,0.8);
  max-width: 90%;
}

.search-ding .autocomplete-result-container{
  position: relative;
  top: 2.5em;
}

.green-on-hover:hover{ // used inside of AddDing for vue3-autocomplete-component overwrites
  background-color: rgba(212, 224, 207, 0.8);
}

.search-results {
  height: 100%;
  overflow: scroll;
  margin-bottom: 3.1rem;
}

.search-results-tags {
  max-height: 30%;
  overflow: scroll;
  background-color: rgb(233, 232, 232);
}


.list-item-flex-size{
  height: auto
}

.listitemremovebutton{    
  right: 0px;
  top: 2rem;
  position: absolute;
  z-index: 1;
}

*:nth-child(odd) > .list-item{
  box-shadow: 3px 2px 1px $pink-1;
}

*:nth-child(even) > .list-item{
  box-shadow: 3px 2px 1px $dark;
}

.list-item-content-container{
  max-width: 70%;
}


.list-item-img {
  height: calc(100% - 2.5px);
  width: 100%;
  object-fit: cover;
  
}

.img-fit-cover img{
  object-fit: cover !important;
}

.tag{
  background-color: darkgrey ;
  color: black ;
}


.geoLocationTagBig>span{
  background-color: $dark !important;
  color: $light !important;
  border-radius: 2em 2em 2em 2em!important;
  padding-right: 0.5em !important;
}

.geoLocationTag>span{
  background-color: $dark !important;
  color: $light !important;
  border-radius: 2em 2em 2em 2em!important;
  font-size: 0.6rem !important;
  padding-right: 0.5em !important;
}

.geoLocationTag>a{
  font-size: 0.6rem !important;
}

.rootStorageTag>span{
  background-color: $dark !important;
  color: $light !important;
  border-radius: 2em 0 0 2em!important;
  font-size: 0.6rem !important;
  padding-right: 0.5em !important;
}

.activeFilter>.tag{
  background-color: black !important;
  color:whitesmoke !important;
}

.searchFilterTag .taghead{
  background-color: lightgray !important;
  color:black !important;
  border: $dark 1px solid;
  border-radius: 1em;
  font-size: 0.8rem !important;
}

.searchFilterTag .taghead.solotag{
  background-color: white !important;
  color: $dark !important;
  border: $dark 1px solid;
  border-radius: 1em;
  font-size: 0.8rem !important;
}

.searchFilterTag .tagtail{
  background-color: white !important;
  color:$dark !important;
  border: $dark 1px solid;
  border-radius: 1em;
  font-size: 0.8rem !important;
}

.searchFilterTag.activeFilter .taghead{
  background-color: $dark !important;
  color: white !important;
  border: lightgray 1px solid;
}

.searchFilterTag.activeFilter .tagtail{
  background-color: rgba(0,0,0,0.6) !important;
  color: white !important;
  border: lightgray 1px solid;
}





.searchFilterBox .rootStorageTag>span{
  background-color: $light !important;
  color:black !important;
  border: $dark 1px solid;
  font-size: 0.8rem !important;
}

.searchFilterBox .rootStorageTag.activeFilter >span{
  background-color: black !important;
  color: $light !important;
  border: $dark 1px solid;
}

.basicStorageTag>span{
  background-color: $dark !important;
  color: $light !important;
  border-radius: 0 0 0 0!important;
  font-size: 0.6rem !important;
  padding-right: 0.5em !important;
}

.scroll-overflow-y {
  overflow-y: scroll;
}

.scroll-overflow-x {
  overflow-x: scroll;
}

.scroll-hidden-x {
  overflow-x: hidden;
}

.scroll-hidden-y {
  overflow-y: hidden;
}

/* Chrome, Safari, Opera */
.has-no-scrollbars::-webkit-scrollbar {
  display: none;
}

/* IE, edge, firefox */
.has-no-scrollbars {
  scrollbar-width: none;
  -ms-overflow-style: none;  
}

.is-text-align-start{
  text-align: start;
}

.ministack-card{
  object-fit:cover;
  border:black 1px solid;
  width: 50px;
  height: 50px;
  position: fixed;
}

.ministack-top-slide {
  border: $pink-1 1px solid;
  transform:translate(15px);
}

.listButtonBar{
  position:absolute;
  bottom:0px;
}

.listButtonBar.is-select-mode{
  z-index:999;
}

.list-item.is-selected {
  background-color: $pink-5;
}


.list-item.is-select-mode.is-selected::after {
  content: '';
  z-index: 99;
  position: absolute;
  background-image: url('./assets/selectedItem.svg');
  background-repeat: no-repeat;
  background-size: contain;
  height: 100%;
  width: 100%;
  background-color: rgba(255,255,255,0.3);
}

.list-item.is-select-mode:not(.is-selected)::after {
  content: '';
  z-index: 99;
  position: absolute;
  background-image: url('./assets/unselectedItem.svg');
  background-repeat: no-repeat;
  background-size: contain;
  height: 100%;
  width: 100%;
  background-color: rgba(255,255,255,0.3);
}

.above-menu-bar{
  //bottom: 7vh;
  bottom: 3.1rem;
}

.is-menubar-height{
  height: 3.1rem;
}

.mb-menu-bar{
  margin-bottom: 3.1rem;
}

.is-number-tag{
  position: absolute;
  z-index: 1;
  font-size: 0.6rem !important;
  transform: translate(2.4rem,1rem);
  font-weight: bolder;
}

.Vue-Toastification__toast--default.toast-background-pink-1 {
  background-color: $pink-1;
  color: white;
}

.selectButtonContainer{
  min-height:3.1rem; 
  background-color:white;
  padding-top: 0.5rem;
}

.basket-button-container{
  position: fixed;
  z-index: 2;
  top: 3rem;
  right: 2rem;
}

.item-button-container{
  position:absolute; 
  z-index: 4; 
  right: 1em; 
  top: 1em;
}


.basket-button-container button{
  background-color: $pink-1;
  color: $light;
  font-size: 0.8em;
  height: 2.2rem;
  width: 2.2rem;
  border: $dark 1px solid;
  margin-left: 0.5em;
}

.basketMenu {
  position: relative;
  z-index: 3;
  align-items: end;
}

.basketMenu>button{
  width: fit-content;
  margin-top: 0.3em;
  border: $dark 1px solid;
  font-weight: bolder;
}

.is-vertical-scrollable {
  height: 100%;
  overflow: scroll;
}



.has-border-black{
  border: 1px $dark solid;
}

.has-min-width-fit-content{
  min-width: fit-content;
}

.image-upload-menu-button{
  position: absolute;
  bottom: 1em;
  right: 1rem;
}

.image-upload-buttons{
  position: absolute;
  bottom: 3em;
  right: 1em;
  pointer-events: none;
}

.image-upload-buttons>.button{
  margin-top: 0.2rem;
  pointer-events: all;
}

.image-upload-buttons button{
  pointer-events: all;
}

.leaflet-container{
  height: 90% !important;
}

.gallery.photoEditModeOn>*>img{
   //border: $pink-1 5px solid;
}

.gallery.photoEditModeOn>*>.image-in-focus{
  border: $pink-1 5px solid;
}

@keyframes moveup {
  from {transform: translate(0px);}
  to {transform: translate(0px,50px);}
}


.image-upload-buttons>.dropdown>*>.dropdown-content{
  width: 70vw;
  display: flex;
}

.is-touching-top{
  top:0px
}

.tag-owned>*>.tag{
  font-size: 0.6em !important;
}

.tag-owned>*>.taghead{
  background-color: $green-3 !important;
  color: black !important;
}

.tag-lent>*>.tag{
  font-size: 0.6em !important;
}

.tag-lent>*>.taghead{
  background-color: $orange-3 !important;
  color: black !important;
}

.tag-visible>*>.tag{
  font-size: 0.6em !important;
}

.tag-visible>*>.taghead{
  background-color: $purple-3 !important;
  color: black !important;
}


.router-link{
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  align-items: center;
}

.router-link-active{
  background-color: $purple-4 !important;
}

.width-fit-content{
  width: fit-content;
}

.searchFilterBox{
  background-color: $light;
  border: black 1px solid;
  max-width: 90%;
  padding: 10px;
}

.slider{ //overwrite bulma-extension slider
  margin: 0.5rem 0 !important;
}

.slider-output{
  font-size: 0.8em;
  background-color: transparent;
  border: transparent;
  max-width: 6ch;
  text-align: end;
}

.tag-small{
  height: 0.6em;
}

.tag-small span{
  font-size: 0.6em;
}

.tag-small a{
  font-size: 0.6em;
}

.addDingMapContainer{
  position:relative; 
  z-index:2; 
  height: 40vh
}


.move .addDingMapContainer{
  min-height: 25rem !important;
}

.spacer{
  background-color: lightgrey; 
  width: 85%; 
  height: 1px; 
  margin: 1rem; 
  margin-top:1.5rem;
}

.spacer-empty{ 
  height: 1px; 
  margin: 1rem; 
}

.checkbox label{
  height: 3em;
  display: flex;
  align-items: center;
  justify-items: left;
  justify-content: left;
  align-content: center;
  text-align: left;
}

.checkbox input{
  margin-left: 10px;
  margin-right: 10px;
  width: 15px;
  height: 15px;
}

.userpill > .tag{
  background-color: $green-3 !important;
  color: $dark !important;
}


.list-item-to-be-deleted{
  transform: translate(10vw);
  border: red 3px solid
}

.list-item-to-be-deleted::before{
  content: "REMOVE";
  position: absolute;
  transform-origin: left;
  transform: translate(-5vw) rotate(90deg);
}

.height-fits-content{
  height: fit-content !important;
}


.success-img{
  max-height:25vh;
}

.is-text-monospaced{
  font-family: 'Courier New', Courier, monospace;
}

#qrscanvideo{
  max-height: 90vh;
  width: auto;
}